<div id="pcptargets-section" class="section-profile">
    <div class="row">
         <div class="topleft duk-icon">
             <img title='exit' onclick="removeSection('pcptargets-section')" src="/gui/img/x.png">
             <img title='refresh' onclick="viewSection('pcptargets', '/plugin/mcptargets/gui')" src="/gui/img/recycle.png" >
        </div>
         <div class="bottomright duk-icon"><img onclick="toggleSidebar('target-headers')" src="/gui/img/expand.png"></div>
         <div class="column" style="flex:40%;padding:15px;text-align: left">
            <div id="target-headers">
             <h1 style="font-size:70px;margin-top:-20px;">MCP Active Targets Information</h1>
             <br><br>
             <h4> Currently Active MCP Targets: {{targets|length}}</h4>
            </div>
            <div class="modal-body">
                <center>
                <table class="obfuscation-table ttp-template" border=1 frame=void rules=rows>
                    <tr>
                        <th style="text-align:left;">CheckIn</th>
                        <th style="text-align:left;">Hostname</th>
                        <th style="text-align:left;">IP</th>
                        <th style="text-align:left;">Port</th>
                        <th style="text-align:left;">Admin?</th>
                        <th style="text-align:left;">User</th>
                        <th style="text-align:left;">InternalIP</th>
                        <th style="text-align:left;">Plugin</th>
                        <th style="text-align:left;">RAW</th>
                    </tr>

                    {% for t in targets %}
                    <tr>
                        <td>{{ t.headers.CheckIn }}</td>
                        <td>{{ t.headers.Hostname }}</td>
                        <td>{{ t.headers.ExternalIP }}</td>
                        <td>{{ t.headers.Port }}</td>
                        <td>{{ t.headers.Admin }}</td>
                        <td>{{ t.headers.User }}</td>
                        <td>{{ t.headers.InternalIP }}</td>
                        <td>{{ t.headers.Plugin }}</td>
                        <td>
                            <div class="tooltip">RAW DATA
                                <span class="tooltiptext">
                                    <pre class="tooltiptext prettyPrint">{{ t.raw | tojson }}</pre>
                                </span>
                            </div>
                            
                        </td>
                    </tr>

                    {% endfor %}



                </table>
                </center>
              </div>
            </div>
         </div>
    </div>
</div>

<script>
    $(".prettyPrint").each(function(){
        console.log($(this).text())
        var j = JSON.parse($(this).text());
        $(this).text(JSON.stringify(j, undefined, 2));
    });

    $(document).ready(function () {
        stream('MCP Targets');
    });
</script>


<style>
    /* Tooltip container */
    .tooltip {
      display: inline-block;
      border-bottom: 1px dotted white; /* If you want dots under the hoverable text */ 
    }
    
    /* Tooltip text */
    .tooltip .tooltiptext {
      visibility: hidden;
      width: 400px;
      background-color: #555;
      color: #fff;
      text-align: left;
      padding: 0px 0;
      border-radius: 6px;
    
      /* Position the tooltip text */
      position: absolute;
      z-index: 1;
      top: 0%;
      left: 0%;
      margin-left: -168px;
    
      /* Fade in tooltip */
      opacity: 0;
      transition: opacity 0.3s;
    }
    
    /* Show the tooltip text when you mouse over the tooltip container */
    .tooltip:hover .tooltiptext {
      visibility: visible;
      opacity: 1;
    }
 </style>